Page MenuHomePhabricator

Create Shan Wiktionary
Closed, ResolvedPublic

Description

The language committee has approved the creation of Shan Wiktionary.

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=aawiktionary shn wiktionary shnwiktionary shn.wiktionary.org
On deploy1001:
scap sync-file dblists "Creating shnwiktionary (T253029)"
scap sync-wikiversions "Creating shnwiktionary (T253029)"
scap sync-file wmf-config/InitialiseSettings.php "Creating shnwiktionary (T253029)"
scap sync-file static/images/project-logos/ "Creating shnwiktionary (T253029)"
scap sync-file langlist "Creating shnwiktionary (T253029)"
scap update-interwiki-cache

End of automatic output

Event Timeline

jhsoby created this task.May 18 2020, 3:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2020, 3:33 PM
MarcoAurelio moved this task from Untriaged to Create on the Wiki-Setup board.May 18 2020, 4:04 PM
MarcoAurelio edited projects, added Wiki-Setup (Create); removed Wiki-Setup.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 18 2020, 4:04 PM

Change 597109 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[mediawiki/extensions/WikimediaMessages@master] Add Shan Wiktionary

https://gerrit.wikimedia.org/r/597109

MarcoAurelio triaged this task as Low priority.May 18 2020, 4:04 PM

Change 597109 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add Shan Wiktionary

https://gerrit.wikimedia.org/r/597109

Ladsgroup updated the task description. (Show Details)May 18 2020, 6:46 PM

Change 597132 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Initial config for shnwiktionary

https://gerrit.wikimedia.org/r/597132

Ladsgroup updated the task description. (Show Details)May 20 2020, 1:40 PM
Ladsgroup updated the task description. (Show Details)May 30 2020, 2:08 PM
Maintenance_bot updated the task description. (Show Details)
Ladsgroup updated the task description. (Show Details)May 30 2020, 2:10 PM
Ladsgroup updated the task description. (Show Details)May 30 2020, 2:46 PM
Maintenance_bot updated the task description. (Show Details)
Ladsgroup updated the task description. (Show Details)May 30 2020, 2:48 PM

What is delaying the creation of this wiki?

What is delaying the creation of this wiki?

Someone to do it, I do it later today (sorry for the delay)

Change 597132 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial config for shnwiktionary

https://gerrit.wikimedia.org/r/597132

Change 607040 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add shnwiktionary to wikiversions.json

https://gerrit.wikimedia.org/r/607040

Change 607040 merged by jenkins-bot:
[operations/mediawiki-config@master] Add shnwiktionary to wikiversions.json

https://gerrit.wikimedia.org/r/607040

Mentioned in SAL (#wikimedia-operations) [2020-06-22T14:36:18Z] <ladsgroup@deploy1001> Synchronized dblists: Creating shnwiktionary (T253029) (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2020-06-22T14:37:54Z] <ladsgroup@deploy1001> rebuilt and synchronized wikiversions files: Creating shnwiktionary (T253029)

Mentioned in SAL (#wikimedia-operations) [2020-06-22T14:40:05Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating shnwiktionary (T253029) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2020-06-22T14:41:09Z] <ladsgroup@deploy1001> Synchronized static/images/project-logos/: Creating shnwiktionary (T253029) (duration: 00m 56s)

Ladsgroup closed this task as Resolved.Mon, Jun 22, 2:46 PM
Ladsgroup claimed this task.

The wiki is accessible now, we should make subtickets for the four post-install bits (REST, Analytis, pywikibot, wikidata).

@MF-Warburg Sorry again for the delay. Please ping in the ticket if process of creating wiki is stalled and the automatic checks says the wiki is ready to be created.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMon, Jun 22, 2:46 PM
Maintenance_bot moved this task from Incoming to Done on the User-Ladsgroup board.Mon, Jun 22, 3:15 PM

I've just created the subtasks by copying off the ones for gomwiktionary

@MF-Warburg Sorry again for the delay. Please ping in the ticket if process of creating wiki is stalled and the automatic checks says the wiki is ready to be created.

Ok & thank you!

jhsoby updated the task description. (Show Details)Mon, Jun 22, 11:52 PM

Import is done!

@Ladsgroup the subtasks should probably be done now as it's been over 2 weeks since the wiki was created

@Ladsgroup the subtasks should probably be done now as it's been over 2 weeks since the wiki was created

the cloud replication is not done yet and I don't think it should be assigned to me. Same goes for others. Let me fix that.

the cloud replication is not done yet and I don't think it should be assigned to me. Same goes for others. Let me fix that.

Oh ok. I accidentally assigned them all to you